Welcome!

Join our community of MMO enthusiasts and game developers! By registering, you'll gain access to discussions on the latest developments in MMO server files and collaborate with like-minded individuals. Join us today and unlock the potential of MMO server development!

Join Today!

[Help] D3D9 Problem Neo version

Initiate Mage
Joined
Jul 9, 2014
Messages
13
Reaction score
0
Our client won't start unless we change the d3d9.dll to a compatible one. Example i'm running the client in a win 7 64bit os and my d3d9.dll is for winxp. it won't run unless i change my d3d9.dll to a win 7 64bit version. how can i make our client to run in all operating system (win7 32/64bit and win xp) without changing the d3d9.dll. please help. Thanks in advance! :D::D:
 
Initiate Mage
Joined
Jul 9, 2014
Messages
13
Reaction score
0
yes it works in all os but i have to replace the d3d9.dll with different versions for example my client has d3d9.dll for win 7 64 bit, it won't run in windows xp unless i change the d3d9.dll that is compatible with xp. ever encountered this problem?

EDIT: I have updated direct x.
 
Upvote 0
Experienced Elementalist
Joined
Jan 23, 2012
Messages
294
Reaction score
19
use the windows xp d3d9.dll then if your OS is win 7 change your game.exe compatibility mode to win xp.
 
Upvote 0
Initiate Mage
Joined
Jul 9, 2014
Messages
13
Reaction score
0
use the windows xp d3d9.dll then if your OS is win 7 change your game.exe compatibility mode to win xp.
Tried, not working :( thank you for the reply though. can you still suggest another solution that might fix this problem? :) thank you
 
Upvote 0
Experienced Elementalist
Joined
Apr 15, 2014
Messages
206
Reaction score
33
try to change your base client, use trilogyran client and use chaosran v4.5 server file, keep on experiment kid!
 
Upvote 0
Experienced Elementalist
Joined
Apr 15, 2014
Messages
206
Reaction score
33
I'm using win7 64bit to my test server, I never encountered such things...
try to change all .dll with ep9 version. Iw ill upload my client files later and u can try it:):
 
Upvote 0
Initiate Mage
Joined
Jul 9, 2014
Messages
13
Reaction score
0
thanks alot!. the thing is it is working with 64bit but when it comes to 32 bit and xp. i have to replace the d3d9 with compatible versions or else it won't run.



follow up question, how do you make your voting system better. like i want the players to REALLY vote so that they can get their vote points. not just clicking the link and not really voting.
 
Upvote 0
Experienced Elementalist
Joined
Apr 15, 2014
Messages
206
Reaction score
33
try to change whole client, maybe some files are missing. I'm using same you pc specs.or dl all the server files i've been shared and paste it to your ep9 client. overwrite it and u will see what's the problem is...
 
Upvote 0
Back
Top